FROM denoland/deno:2.1.4

ARG GIT_REVISION
ENV DENO_DEPLOYMENT_ID=${GIT_REVISION}

WORKDIR /app

COPY . .
RUN deno install --allow-import --allow-scripts=npm:sharp@0.33.5-rc.1 && deno task build

EXPOSE 8000

CMD ["run", "-A", "main.ts"]
